> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Calendar Event

> Update a calendar event

# Update Calendar Event

Update fields on an existing calendar event. All fields are optional.

## Endpoint

```
PUT /api/v1/calendars/{calendar_id}/events/{event_id}
```

## Path parameters

<ParamField path="calendar_id" type="string" required>Calendar UUID.</ParamField>
<ParamField path="event_id" type="string" required>Event UUID.</ParamField>

## Request headers

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer talq_your_environment_token_here`
</ParamField>

<ParamField header="Content-Type" type="string" required>Must be `application/json`.</ParamField>

## Request body

Same fields as [Create Calendar Event](/api-reference/endpoints/create-calendar-event), all optional.

## Examples

<RequestExample>
  ```bash theme={null}
  curl -X PUT "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/events/event-uuid-1" \
    -H "Authorization: Bearer talq_your_environment_token_here" \
    -H "Content-Type: application/json" \
    -d '{ "status": "cancelled" }'
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "id": "event-uuid-1",
      "status": "cancelled",
      "updated_at": "2024-01-15T19:00:00Z"
    }
  }
  ```
</ResponseExample>
